## ibus-chewing 1.2.0.20090818

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)
####################################################################
# Init Definition
####################################################################
INCLUDE(init.CMakeLists.txt)

####################################################################
# Project basic information
####################################################################
PROJECT(ibus-chewing)
SET(PROJECT_DESCRIPTION chewing Chinese IME for iBus)
SET(CMAKE_C_FLAGS "-Wall")

SET(RELEASE_FILE ${CMAKE_SOURCE_DIR}/RELEASE-NOTES.txt)
SET(RPM_RELEASE_FILE ${CMAKE_SOURCE_DIR}/SPECS/RPM-RELEASE-NOTES.txt)
SETTING_FILE_GET_ATTRIBUTE(PRJ_VER_PATTERN "PRJ_VER" ${RELEASE_FILE})
#MESSAGE("PRJ_VER_PATTERN=${PRJ_VER_PATTERN}")
SETTING_FILE_GET_ATTRIBUTE(PRJ_VER_RELEASE "RPM_RELEASE" ${RPM_RELEASE_FILE})

SET(SO_VER_MAJOR "1")
SET(SO_VER_MINOR "0")
SET(AUTHORS "Peng Huang, Ding-Yi Chen")
SET(MAINTAINER "Ding-Yi Chen <dchen at redhat.com>")

# For CVS/SVN/GIT change message
SETTING_FILE_GET_ATTRIBUTE(CHANGE_SUMMARY "SUMMARY" ${RELEASE_FILE})
#MESSAGE("### CHANGE_SUMMARY=${CHANGE_SUMMARY}")

# Changelog items
COMMAND_OUTPUT_TO_VARIABLE(CHANGELOG_ITEMS tail -n +4 ${RELEASE_FILE})
#MESSAGE("### CHANGELOG_ITEMS=${CHANGELOG_ITEMS}|")

STRING(COMPARE GREATER "${PRJ_VER_RELEASE}" "1" NEED_RPM_RELEASE_INFO)
IF(${NEED_RPM_RELEASE_INFO})
    SETTING_FILE_GET_ATTRIBUTE(RPM_RELEASE_SUMMARY "RPM_RELEASE_SUMMARY" ${RPM_RELEASE_FILE})
    COMMAND_OUTPUT_TO_VARIABLE(RPM_CHANGELOG_ITEMS tail -n +5 ${RPM_RELEASE_FILE})
ELSE(${NEED_RPM_RELEASE_INFO})
    SET(RPM_RELEASE_SUMMARY ${CHANGE_SUMMARY})
    SET(RPM_CHANGELOG_ITEMS ${CHANGELOG_ITEMS})
ENDIF(${NEED_RPM_RELEASE_INFO})
#MESSAGE("### RPM_RELEASE_SUMMARY=${RPM_RELEASE_SUMMARY}")
#MESSAGE("### RPM_CHANGELOG_ITEMS=|${RPM_CHANGELOG_ITEMS}|")


#==================================================================
# Developer setting.
#
SET(CVS_DIST_TAGS F-10 F-11)
SET(HOSTING_SERVICE_PROVIDER "GitHub")
SET(DEVELOPER_SETTING_FILE "DEVELOPER_SETTING_NO_PACK")
SET(DEVELOPER_DEPENDS UploadPkg.batch.in)
ADD_CUSTOM_TARGET(commit
    COMMAND git commit -a -m "${CHANGE_SUMMARY}"
    COMMAND git tag -a "${PRJ_VER}" -m "Ver ${PRJ_VER}"
    COMMENT "Commit and tag the changes"
    )


####################################################################
# Includes
####################################################################
INCLUDE(Gettext)

#==================================================================
# Include common.CMakeLists.txt
#
INCLUDE(common.CMakeLists.txt)

####################################################################
# Post Include setting
####################################################################

####################################################################
# RPM configuration
####################################################################
FILE(READ ${CMAKE_SOURCE_DIR}/SPECS/RPM-ChangeLog RPM_CHANGELOG)
GENERATE_SPEC(SPECS/${PROJECT_NAME}.spec.in)

####################################################################
# Definitions
####################################################################
ADD_DEFINITIONS(-DPRJ_VERSION='"${PRJ_VER_FULL}"')
ADD_DEFINITIONS(-DPKGDATADIR='"${PROJECT_DATADIR}"')
ADD_DEFINITIONS(-DSYSTEMDIR='"${PROJECT_DATADIR}"')
CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/data/chewing.xml.in ${CMAKE_BINARY_DIR}/data/chewing.xml)

####################################################################
# Required
####################################################################
FIND_PACKAGE(PkgConfig)
PKG_CHECK_MODULES(GTK2 REQUIRED gtk+-2.0)
PKG_CHECK_MODULES(IBUS REQUIRED ibus-1.0)
STRING(REGEX MATCH "[1-9][0-9]*\\.[1-9][0-9]*" IBUS_COMPAT_VERSION "${IBUS_VERSION}")
IF( IBUS_COMPAT_VERSION STREQUAL 1.1)
    MESSAGE("IBus 1.1 detected!")
    ADD_DEFINITIONS(-DIBUS_1_1)
ELSE()
    MESSAGE("IBus compatible version: ${IBUS_COMPAT_VERSION}")
ENDIF()
PKG_CHECK_MODULES(XTST REQUIRED xtst)

PKG_CHECK_MODULES(CHEWING chewing>=0.3.2)
COMMAND_OUTPUT_TO_VARIABLE(CHEWING_DATADIR ${PKG_CONFIG_EXECUTABLE} --variable=datadir chewing)
ADD_DEFINITIONS(-DCHEWING_DATADIR='"${CHEWING_DATADIR}"')

FIND_PROGRAM(GOB2 gob2)
IF(${GOB2} STREQUAL "GOB2-NOTFOUND")
    MESSAGE(FATAL_ERROR "gob2 not found, install gob2 please.")
ENDIF()

####################################################################
# Sub directories
####################################################################
SET(TRANSLATED zh_CN zh_TW)
ADD_SUBDIRECTORY(po)
ADD_SUBDIRECTORY(src bin)

####################################################################
# Packing
####################################################################

#====================================================================
# Files to be install.
#
SET(MAIN_DOCS AUTHORS README ChangeLog NEWS COPYING)

#INSTALL(FILES ${MAIN_DOCS}
#    DESTINATION "${PROJECT_DOCDIR}")

INSTALL(DIRECTORY icons
    DESTINATION  ${PROJECT_DATADIR})

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/data/chewing.xml
    DESTINATION "${datadir}/ibus/component")

#====================================================================
# Schemas
#
SET(GCONF_SCHEMAS_FILE ${CMAKE_BINARY_DIR}/data/${PROJECT_NAME}.schemas)
INCLUDE(GConf)

#====================================================================
# CPack configuration
#

SET(CPACK_RESOURCE_FILE_LICENSE
    ${CMAKE_CURRENT_SOURCE_DIR}/COPYING)
SET(PRJ_COMMON_IGNORE_FILES
    "/docs/"
    "\\\\.cache$"  "\\\\.spec$"
    "ibus-chewing-engine.*\\\\.[ch]$" "maker-dialog.*\\\\.[ch]$"
    "messages.po$"
)

SET(CPACK_SOURCE_IGNORE_FILES ${CPACK_SOURCE_IGNORE_FILES} ${PRJ_COMMON_IGNORE_FILES} "/bin/"
    "\\\\.xml$" "\\\\.schemas")
SET(CPACK_PACKAGE_IGNORE_FILES ${CPACK_BINARY_IGNORE_FILES} ${PRJ_COMMON_IGNORE_FILES} "/src/"
    "\\\\.spec$" "\\\\.in$" "\\\\.pot$")

INCLUDE(CPack)

ADD_DEPENDENCIES(pack_src pot_file)

=== src/CMakeLists.txt ===
# Location of library include files
INCLUDE_DIRECTORIES(${GTK2_INCLUDE_DIRS} ${IBUS_INCLUDE_DIRS}
    ${CHEWING_INCLUDE_DIRS} ${GCONF2_INCLUDE_DIRS} ${XTST_INCLUDE_DIRS})

# Library location for the linker
LINK_DIRECTORIES(${GTK2_LIBRARY_DIRS} ${IBUS_LIBRARY_DIRS}
    ${CHEWING_LIBRARY_DIRS} ${GCONF2_LIBRARY_DIRS} ${XTST_LIBRARY_DIRS})

#==================================================================
# Sources
#
SET(GOB_GENERATED ${CMAKE_HOME_DIRECTORY}/src/ibus-chewing-engine.c
    ${CMAKE_HOME_DIRECTORY}/src/ibus-chewing-engine.h
    ${CMAKE_HOME_DIRECTORY}/src/ibus-chewing-engine-private.h
    ${CMAKE_HOME_DIRECTORY}/src/maker-dialog.c
    ${CMAKE_HOME_DIRECTORY}/src/maker-dialog.h
    ${CMAKE_HOME_DIRECTORY}/src/maker-dialog-private.h
    )

ADD_CUSTOM_COMMAND(OUTPUT ${GOB_GENERATED}
    COMMAND ${GOB2} ${CMAKE_CURRENT_SOURCE_DIR}/IBusChewingEngine.gob -o ${CMAKE_CURRENT_SOURCE_DIR}
    COMMAND ${GOB2} ${CMAKE_CURRENT_SOURCE_DIR}/MakerDialog.gob -o ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS IBusChewingEngine.gob MakerDialog.gob IBusChewingEngine-def.c
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)

SET_SOURCE_FILES_PROPERTIES(${GOB_GENERATED}
    PROPERTIES GENERATED TRUE)

# executable built from some source
ADD_EXECUTABLE(ibus-engine-chewing main.c
    ibus-chewing-engine.c
    maker-dialog.c
    )
ADD_EXECUTABLE(generate-gconf-schemas
    generate-gconf-schemas.c
    maker-dialog.c
    )
ADD_EXECUTABLE(dialogTest dialogTest.c
    maker-dialog.c
    )

# Link the executable to the library.
TARGET_LINK_LIBRARIES(ibus-engine-chewing ${GTK2_LIBRARIES} ${IBUS_LIBRARIES}
    ${CHEWING_LIBRARIES} ${GCONF2_LIBRARIES} ${X11_LIBRARIES} ${XTST_LIBRARIES})

TARGET_LINK_LIBRARIES(generate-gconf-schemas ${GTK2_LIBRARIES})

TARGET_LINK_LIBRARIES(dialogTest ${GTK2_LIBRARIES} ${IBUS_LIBRARIES}
    ${CHEWING_LIBRARIES} ${GCONF2_LIBRARIES} ${X11_LIBRARIES} ${XTST_LIBRARIES})


IF(NOT DEFINED LIB_INSTALL_DIR)
    IF( $ENV{MACHTYPE} MATCHES "64")
	SET(LIB_INSTALL_DIR lib64)
	ADD_DEFINITIONS(-DLIB_INSTALL_DIR='"${LIB_INSTALL_DIR}"')
    ELSE()
	SET(LIB_INSTALL_DIR lib)
	ADD_DEFINITIONS(-DLIB_INSTALL_DIR='"${LIB_INSTALL_DIR}"')
    ENDIF()
ENDIF()

ADD_CUSTOM_COMMAND(TARGET generate-gconf-schemas POST_BUILD
    COMMAND ${CMAKE_BINARY_DIR}/bin/generate-gconf-schemas -v 3 -l
    "C;${TRANSLATED}" ${CMAKE_BINARY_DIR}/data/ibus-chewing.schemas
    COMMENT "Generating gconf-schemas"
    VERBATIM
    )

INSTALL(TARGETS ibus-engine-chewing
     RUNTIME DESTINATION ${LIBEXEC_DIR}
     LIBRARY DESTINATION ${LIB_INSTALL_DIR}
)

## ibus-chewing 1.2.0.20091211

=== CMakeLists.txt ===
--- 
+++ 
@@ -45,14 +45,14 @@
 #==================================================================
 # Developer setting.
 #
-SET(CVS_DIST_TAGS F-10 F-11)
+SET(CVS_DIST_TAGS F-11 F-12)
 SET(HOSTING_SERVICE_PROVIDER "GitHub")
 SET(DEVELOPER_SETTING_FILE "DEVELOPER_SETTING_NO_PACK")
 SET(DEVELOPER_DEPENDS UploadPkg.batch.in)
-ADD_CUSTOM_TARGET(commit
-    COMMAND git commit -a -m "${CHANGE_SUMMARY}"
-    COMMAND git tag -a "${PRJ_VER}" -m "Ver ${PRJ_VER}"
+ADD_CUSTOM_TARGET(tag
+    COMMAND git tag -a "${PRJ_VER}" -m "Ver ${PRJ_VER}" HEAD
     COMMENT "Commit and tag the changes"
+    VERBATIM
     )
 
 
@@ -97,7 +97,7 @@
 ELSE()
     MESSAGE("IBus compatible version: ${IBUS_COMPAT_VERSION}")
 ENDIF()
-PKG_CHECK_MODULES(XTST REQUIRED xtst)
+PKG_CHECK_MODULES(XTST REQUIRED xtst x11)
 
 PKG_CHECK_MODULES(CHEWING chewing>=0.3.2)
 COMMAND_OUTPUT_TO_VARIABLE(CHEWING_DATADIR ${PKG_CONFIG_EXECUTABLE} --variable=datadir chewing)
@@ -145,10 +145,13 @@
 
 SET(CPACK_RESOURCE_FILE_LICENSE
     ${CMAKE_CURRENT_SOURCE_DIR}/COPYING)
+
+# GOB_GENERATED source codes are not excluded,
+# in order to avoid Bug 519108.
+# https://bugzilla.redhat.com/show_bug.cgi?id=519108
 SET(PRJ_COMMON_IGNORE_FILES
     "/docs/"
     "\\\\.cache$"  "\\\\.spec$"
-    "ibus-chewing-engine.*\\\\.[ch]$" "maker-dialog.*\\\\.[ch]$"
     "messages.po$"
 )
 
@@ -159,5 +162,6 @@
 
 INCLUDE(CPack)
 
-ADD_DEPENDENCIES(pack_src pot_file)
+# Avoid [Bug 519108]: [gob2] class and enum names convert incorrectly in mock / koji.
+ADD_DEPENDENCIES(pack_src pot_file gob2)

=== debian/changelog ===
ibus-chewing (1.2.0.20091211-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/binutils-gold.patch: removed.

 -- LI Daobing <lidaobing@debian.org>  Sat, 12 Dec 2009 23:02:33 +0800

ibus-chewing (1.2.0.20091002-1) unstable; urgency=low

  * new upstream release.
    - fix buffer doesn't get cleared when toggling ibus on/off (LP: #424171)
    - fix character selection window stays behind when toggling ibus off 
      (LP: #424176)
  * convert package to 3.0 (quilt) format.
  * debian/rules: add --as-needed to ld flags.
  * debian/control: 
    - build depends on libchewing3-dev >= 0.3.2-2~
    - depends on libchewing3 >= 0.3.2-2~
  * Fix "FTBFS with binutils-gold" (Closes: #554861)
    - debian/patches/binutils-gold.patch: added.

 -- LI Daobing <lidaobing@debian.org>  Sun, 22 Nov 2009 15:23:27 +0800

ibus-chewing (1.2.0.20090917-1) unstable; urgency=low

  * new upstream release.

 -- LI Daobing <lidaobing@debian.org>  Thu, 17 Sep 2009 19:06:19 +0800

ibus-chewing (1.2.0.20090831-1) unstable; urgency=low

  * new upstream release. 
  * debian/rules: clean more files. 

 -- LI Daobing <lidaobing@debian.org>  Mon, 31 Aug 2009 19:55:44 +0800

ibus-chewing (1.2.0.20090818-2) unstable; urgency=low

  [ Loïc Minier ]
  * Bdep on libx11-dev per CMakeLists.txt.
  * Use $@ where possible in rules to avoid repetitions.
  * Add .PHONY.
  * Clean more files with debian/clean but not bin and po/CMakeFiles as these
    are dirs.
  * Define -DLIBEXEC_DIR=/usr/lib/ibus-chewing when calling cmake instead of
    mv-ing and sed-ing files.

  [ LI Daobing ]
  * debian/control: update Vcs-* fields. 

 -- LI Daobing <lidaobing@debian.org>  Tue, 25 Aug 2009 19:49:24 +0800

ibus-chewing (1.2.0.20090818-1) unstable; urgency=low

  * new upstream release.
  * debian/control: bump standards version to 3.8.3
  * debian/clean: remove data/ibus-chewing.schemas 

 -- LI Daobing <lidaobing@debian.org>  Mon, 24 Aug 2009 21:41:36 +0800

ibus-chewing (1.2.0.20090624-1) unstable; urgency=low

  * new upstream release.
  * debian/control:
    - build-depends: libibus-dev >= 1.2
    - depends: ibus >= 1.2
    - bump standards version to 3.8.2
  * debian/clean: updated
  * debian/rules: update clean rule.

 -- LI Daobing <lidaobing@debian.org>  Fri, 26 Jun 2009 23:41:31 +0800

ibus-chewing (1.0.10.20090523-1) unstable; urgency=low

  * new upstream release.
  * debian/rules: use "dh clean"
  * debian/clean: added.
  * debian/copyright: (C) -> ©

 -- LI Daobing <lidaobing@debian.org>  Sat, 30 May 2009 13:20:34 +0800

ibus-chewing (1.0.9.20090508-0ubuntu1) karmic; urgency=low

  * new upstream release (LP: #375505)

 -- LI Daobing <lidaobing@debian.org>  Wed, 13 May 2009 21:52:49 +0800

ibus-chewing (1.0.8.20090428-0ubuntu1) karmic; urgency=low

  * Initial release (LP: #312694)

 -- LI Daobing <lidaobing@debian.org>  Thu, 23 Apr 2009 20:08:05 +0800

ibus-chewing (1.0.7.20090414-1) unstable; urgency=low

  * Initial release (closes: #521629)

 -- LI Daobing <lidaobing@debian.org>  Thu, 23 Apr 2009 20:08:05 +0800

=== debian/control ===
Source: ibus-chewing
Section: utils
Priority: optional
Maintainer: LI Daobing <lidaobing@debian.org>
Build-Depends: debhelper (>= 7), 
 cmake,
 gob2,
 pkg-config, 
 libchewing3-dev (>= 0.3.2-2~), 
 libgconf2-dev,
 libibus-dev (>= 1.2),
 libgtk2.0-dev,
 libx11-dev,
 libxtst-dev
Standards-Version: 3.8.3
Homepage: http://code.google.com/p/ibus
Vcs-Bzr: lp:~lidaobing/ibus/ibus-chewing
Vcs-Browser: https://code.launchpad.net/~lidaobing/ibus/ibus-chewing

Package: ibus-chewing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus (>= 1.2), 
 libchewing3 (>= 0.3.2-2~) 
Description: chewing input engine for IBus
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 IBus-chewing is a IM Engine for Traditional Chinese, based on IBus.

=== debian/watch ===
version=3
http://code.google.com/p/ibus/downloads/list \
http://ibus.googlecode.com/files/ibus-chewing-([0-9].*)-Source\.tar\.gz

## ibus-chewing 1.3.5.20100706

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 # Project basic information
 ####################################################################
 PROJECT(ibus-chewing)
-SET(PROJECT_DESCRIPTION chewing Chinese IME for iBus)
+SET(PROJECT_DESCRIPTION "The Chewing engine for IBus input platform")
 SET(CMAKE_C_FLAGS "-Wall")
 
 SET(RELEASE_FILE ${CMAKE_SOURCE_DIR}/RELEASE-NOTES.txt)
@@ -45,11 +45,11 @@
 #==================================================================
 # Developer setting.
 #
-SET(CVS_DIST_TAGS F-11 F-12)
 SET(HOSTING_SERVICE_PROVIDER "GitHub")
 SET(DEVELOPER_SETTING_FILE "DEVELOPER_SETTING_NO_PACK")
 SET(DEVELOPER_DEPENDS UploadPkg.batch.in)
-ADD_CUSTOM_TARGET(tag
+ADD_CUSTOM_TARGET(commit
+    COMMAND git commit -a -m "${CHANGE_SUMMARY}"
     COMMAND git tag -a "${PRJ_VER}" -m "Ver ${PRJ_VER}" HEAD
     COMMENT "Commit and tag the changes"
     VERBATIM
@@ -90,12 +90,19 @@
 FIND_PACKAGE(PkgConfig)
 PKG_CHECK_MODULES(GTK2 REQUIRED gtk+-2.0)
 PKG_CHECK_MODULES(IBUS REQUIRED ibus-1.0)
-STRING(REGEX MATCH "[1-9][0-9]*\\.[1-9][0-9]*" IBUS_COMPAT_VERSION "${IBUS_VERSION}")
-IF( IBUS_COMPAT_VERSION STREQUAL 1.1)
+STRING(REGEX MATCH "[1-9][0-9]*\\.[1-9][0-9]*\\.[0-9]*" IBUS_COMPAT_VERSION "${IBUS_VERSION}")
+MESSAGE("IBUS_VERSION=${IBUS_VERSION} IBUS_COMPAT_VERSION=${IBUS_COMPAT_VERSION}")
+IF ( IBUS_COMPAT_VERSION VERSION_GREATER  1.2.98 )
+    MESSAGE("IBus 1.3 detected!")
+    ADD_DEFINITIONS(-DIBUS_1_3)
+ELSEIF ( IBUS_COMPAT_VERSION VERSION_GREATER  1.1.98 )
+    MESSAGE("IBus 1.2 detected!")
+    ADD_DEFINITIONS(-DIBUS_1_2)
+ELSEIF ( IBUS_COMPAT_VERSION VERSION_GREATER  1.0.98 )
     MESSAGE("IBus 1.1 detected!")
     ADD_DEFINITIONS(-DIBUS_1_1)
 ELSE()
-    MESSAGE("IBus compatible version: ${IBUS_COMPAT_VERSION}")
+    MESSAGE(FATAL "IBus development package is not installed!")
 ENDIF()
 PKG_CHECK_MODULES(XTST REQUIRED xtst x11)
 
@@ -146,13 +153,17 @@
 SET(CPACK_RESOURCE_FILE_LICENSE
     ${CMAKE_CURRENT_SOURCE_DIR}/COPYING)
 
-# GOB_GENERATED source codes are not excluded,
-# in order to avoid Bug 519108.
-# https://bugzilla.redhat.com/show_bug.cgi?id=519108
 SET(PRJ_COMMON_IGNORE_FILES
     "/docs/"
     "\\\\.cache$"  "\\\\.spec$"
     "messages.po$"
+)
+
+# GOB_GENERATED source codes are now excluded,
+# As Bug 519108 (https://bugzilla.redhat.com/show_bug.cgi?id=519108)
+# Is fixed from Fedora 11
+SET(PRJ_COMMON_IGNORE_FILES
+    ${PRJ_COMMON_IGNORE_FILES} "src/maker-dialog.*\\\\.[ch]" "src/ibus-chewing-engine.*\\\\.[ch]"
 )
 
 SET(CPACK_SOURCE_IGNORE_FILES ${CPACK_SOURCE_IGNORE_FILES} ${PRJ_COMMON_IGNORE_FILES} "/bin/"

=== po/CMakeLists.txt ===
# Translated languages.
SET(SOURCES_I18N ../src/IBusChewingEngine.gob ../src/IBusChewingEngine-def.c ../src/main.c)

IF (XGETTEXT_FOUND)
    GETTEXT_CREATE_POT(${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pot OPTION ${XGETTEXT_OPTIONS} SRC ${SOURCES_I18N})
    GETTEXT_CREATE_TRANSLATIONS(${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pot ALL ${TRANSLATED}
	COMMENT "Creating translations.")
ENDIF()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,12 @@
     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
 )
 
+ADD_CUSTOM_TARGET(gob2
+    DEPENDS ${GOB_GENERATED}
+    COMMENT "Preprocess with gob2."
+)
+
+
 SET_SOURCE_FILES_PROPERTIES(${GOB_GENERATED}
     PROPERTIES GENERATED TRUE)
 
@@ -36,19 +42,12 @@
     generate-gconf-schemas.c
     maker-dialog.c
     )
-ADD_EXECUTABLE(dialogTest dialogTest.c
-    maker-dialog.c
-    )
 
 # Link the executable to the library.
 TARGET_LINK_LIBRARIES(ibus-engine-chewing ${GTK2_LIBRARIES} ${IBUS_LIBRARIES}
-    ${CHEWING_LIBRARIES} ${GCONF2_LIBRARIES} ${X11_LIBRARIES} ${XTST_LIBRARIES})
+    ${CHEWING_LIBRARIES} ${GCONF2_LIBRARIES} ${XTST_LIBRARIES})
 
 TARGET_LINK_LIBRARIES(generate-gconf-schemas ${GTK2_LIBRARIES})
-
-TARGET_LINK_LIBRARIES(dialogTest ${GTK2_LIBRARIES} ${IBUS_LIBRARIES}
-    ${CHEWING_LIBRARIES} ${GCONF2_LIBRARIES} ${X11_LIBRARIES} ${XTST_LIBRARIES})
-
 
 IF(NOT DEFINED LIB_INSTALL_DIR)
     IF( $ENV{MACHTYPE} MATCHES "64")

=== debian/changelog ===
ibus-chewing (1.3.5.20100706-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.
  * debian/control: bump standards version to 3.9.0

 -- LI Daobing <lidaobing@debian.org>  Thu, 08 Jul 2010 16:17:52 +0800

ibus-chewing (1.3.4.20100608-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.

 -- LI Daobing <lidaobing@debian.org>  Wed, 09 Jun 2010 23:46:47 +0800

ibus-chewing (1.3.4.20100605-1) unstable; urgency=low

  [ Asias He ]
  * debian/control:
    - set maintainer to pkg-ime, add LI Daobing <lidaobing@debian.org> 
      & Asias He <asias.hejun@gmail.com> to uploaders.
    - update Vcs-* fields.
  * New upstream release.

  [ LI Daobing ]
  * debian/control: build depends on gob2 (>= 2.0.17) 

 -- LI Daobing <lidaobing@debian.org>  Mon, 07 Jun 2010 21:25:30 +0800

ibus-chewing (1.2.99.20100317-2) unstable; urgency=low

  * move to unstable.

 -- LI Daobing <lidaobing@debian.org>  Sat, 03 Apr 2010 20:40:30 +0800

ibus-chewing (1.2.99.20100317-1) experimental; urgency=low

  * New upstream release.
  * debian/control: switch to ibus 1.3 
  * debian/control: bump standards version to 3.8.4

 -- LI Daobing <lidaobing@debian.org>  Sun, 21 Mar 2010 18:58:05 +0800

=== debian/control ===
Source: ibus-chewing
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: LI Daobing <lidaobing@debian.org>, Asias He <asias.hejun@gmail.com>
Build-Depends: debhelper (>= 7), 
 cmake,
 gob2 (>= 2.0.17),
 pkg-config, 
 libchewing3-dev (>= 0.3.2-2~), 
 libgconf2-dev,
 libibus-dev (>= 1.2.99),
 libgtk2.0-dev,
 libx11-dev,
 libxtst-dev
Standards-Version: 3.9.0
Homepage: http://code.google.com/p/ibus
Vcs-Bzr: lp:~pkg-ime/ibus/debian-ibus-chewing
Vcs-Browser: https://code.launchpad.net/~pkg-ime/ibus/debian-ibus-chewing

Package: ibus-chewing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus (>= 1.2.99), 
 libchewing3 (>= 0.3.2-2~) 
Description: chewing input engine for IBus
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 IBus-chewing is a IM Engine for Traditional Chinese, based on IBus.

=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	cmake -DCMAKE_INSTALL_PREFIX="/usr" \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DCMAKE_SKIP_RPATH=ON \
		-DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed" \
		-DLIBEXEC_DIR=/usr/lib/ibus-chewing .
	dh build
	touch $@

clean:
	dh $@
	rm -rf bin po/CMakeFiles CMakeFiles obj-i486-linux-gnu

install: build install-stamp
install-stamp:
	dh install --before dh_gconf
	mkdir -p $(CURDIR)/debian/ibus-chewing/usr/lib/ibus-chewing/
	rm -rf $(CURDIR)/debian/ibus-chewing/usr/libexec/
	dh install --remaining
	touch $@

binary-arch: install
	dh $@

binary-indep: install
	dh $@

binary: binary-arch binary-indep
.PHONY: build clean install binary-arch binary-indep binary

=== debian/watch ===
version=3
opts=downloadurlmangle=s#.*(ibus-chewing-([\d.]+)-Source\.tar\.gz).*#http://ibus.googlecode.com/files/$1#,filenamemangle=s#.*(ibus-chewing-([\d.]+)-Source\.tar\.gz).*#$1# \
    http://code.google.com/p/ibus/downloads/list ^.*detail\?name=ibus-chewing-([\d.]+)-Source\.tar\.gz.*

## ibus-chewing 1.3.6.20100730

=== CMakeLists.txt ===
--- 
+++ 
@@ -92,15 +92,18 @@
 PKG_CHECK_MODULES(IBUS REQUIRED ibus-1.0)
 STRING(REGEX MATCH "[1-9][0-9]*\\.[1-9][0-9]*\\.[0-9]*" IBUS_COMPAT_VERSION "${IBUS_VERSION}")
 MESSAGE("IBUS_VERSION=${IBUS_VERSION} IBUS_COMPAT_VERSION=${IBUS_COMPAT_VERSION}")
-IF ( IBUS_COMPAT_VERSION VERSION_GREATER  1.2.98 )
-    MESSAGE("IBus 1.3 detected!")
-    ADD_DEFINITIONS(-DIBUS_1_3)
+IF ( IBUS_COMPAT_VERSION VERSION_GREATER  1.2.999 )
+    ADD_DEFINITIONS(-DIBUS_VERSION=10300)
+    MESSAGE("IBus 1.3 detected! -DIBUS_VERSION=10300")
+ELSEIF ( IBUS_COMPAT_VERSION VERSION_GREATER  1.2.98 )
+    ADD_DEFINITIONS(-DIBUS_VERSION=10299)
+    MESSAGE("IBus 1.2.99 detected! -DIBUS_VERSION=10299")
 ELSEIF ( IBUS_COMPAT_VERSION VERSION_GREATER  1.1.98 )
-    MESSAGE("IBus 1.2 detected!")
-    ADD_DEFINITIONS(-DIBUS_1_2)
+    ADD_DEFINITIONS(-DIBUS_VERSION=10200)
+    MESSAGE("IBus 1.2 detected! -DIBUS_VERSION=10200")
 ELSEIF ( IBUS_COMPAT_VERSION VERSION_GREATER  1.0.98 )
-    MESSAGE("IBus 1.1 detected!")
-    ADD_DEFINITIONS(-DIBUS_1_1)
+    ADD_DEFINITIONS(-DIBUS_VERSION=10100)
+    MESSAGE("IBus 1.1 detected! -DIBUS_VERSION=10100")
 ELSE()
     MESSAGE(FATAL "IBus development package is not installed!")
 ENDIF()

=== debian/changelog ===
ibus-chewing (1.3.6.20100730-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.
  * debian/docs: removed NEWS.
  * debian/control: bump standards version to 3.9.1

 -- LI Daobing <lidaobing@debian.org>  Sat, 31 Jul 2010 22:20:38 +0800

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libgtk2.0-dev,
  libx11-dev,
  libxtst-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://code.google.com/p/ibus
 Vcs-Bzr: lp:~pkg-ime/ibus/debian-ibus-chewing
 Vcs-Browser: https://code.launchpad.net/~pkg-ime/ibus/debian-ibus-chewing

## ibus-chewing 1.3.9.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4)
####################################################################
# Project specific information
#
PROJECT(ibus-chewing)
SET(PRJ_SUMMARY "The Chewing engine for IBus input platform")
SET(CMAKE_C_FLAGS "-Wall")

SET(AUTHORS "Peng Huang, Ding-Yi Chen")
SET(MAINTAINER "Ding-Yi Chen <dchen at redhat.com>")
SET(VENDOR "Red Hat, APAC, Inc.")
SET(LICENSE "GPLv2+")

####################################################################
# Includes
#
SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/Modules ${CMAKE_ROOT}/Modules  )
#MESSAGE("CMAKE_MODULE_PATH=${CMAKE_MODULE_PATH}")

IF(CMAKE_VERSION)
    CMAKE_POLICY(SET CMP0005 OLD)
ENDIF(CMAKE_VERSION)

INCLUDE(ManageVersion)
LOAD_RELEASE_FILE("RELEASE-NOTES.txt")
INCLUDE(UseUninstall)

INCLUDE(CompileEnv)
SET_USUAL_COMPILE_ENVS()

INCLUDE(CMakeVersion)


####################################################################
# Required
#
FIND_PACKAGE(PkgConfig)
PKG_CHECK_MODULES(GTK2 REQUIRED gtk+-2.0)
PKG_CHECK_MODULES(IBUS REQUIRED ibus-1.0)
STRING(REGEX REPLACE "^([1-9][0-9]*)\\.([0-9]+)\\.([0-9]+).*" "\\1" IBUS_VERSION_MAJOR "${IBUS_VERSION}")
STRING(REGEX REPLACE "^([1-9][0-9]*)\\.([0-9]+)\\.([0-9]+).*" "\\2" IBUS_VERSION_MINOR "${IBUS_VERSION}")
STRING(REGEX REPLACE "^([1-9][0-9]*)\\.([0-9]+)\\.([0-9]+).*" "\\3" IBUS_VERSION_PATCH "${IBUS_VERSION}")
MATH(EXPR IBUS_COMPAT_VERSION
    "${IBUS_VERSION_MAJOR}*10000+${IBUS_VERSION_MINOR}*100+${IBUS_VERSION_PATCH}")
MESSAGE("IBUS_VERSION=${IBUS_VERSION} IBUS_COMPAT_VERSION=${IBUS_COMPAT_VERSION}")
ADD_DEFINITIONS(-DIBUS_VERSION=${IBUS_COMPAT_VERSION})
MESSAGE("ADD_DEFINITIONS(-DIBUS_VERSION=${IBUS_COMPAT_VERSION})")

PKG_CHECK_MODULES(XTST REQUIRED xtst x11)
PKG_CHECK_MODULES(CHEWING chewing>=0.3.2)
COMMAND_OUTPUT_TO_VARIABLE(CHEWING_DATA_DIR ${PKG_CONFIG_EXECUTABLE} --variable=datadir chewing)
ADD_DEFINITIONS(-DCHEWING_DATA_DIR='"${CHEWING_DATA_DIR}"')

FIND_PROGRAM(GOB2 gob2)
IF(${GOB2} STREQUAL "GOB2-NOTFOUND")
    MESSAGE(FATAL_ERROR "gob2 not found, install gob2 please.")
ENDIF()
####################################################################
# Building
#

CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/data/chewing.xml.in ${CMAKE_BINARY_DIR}/data/chewing.xml)
# Sub directories
SET(TRANSLATED zh_CN zh_TW)
INCLUDE(UseGettext)
ADD_SUBDIRECTORY(po)
ADD_SUBDIRECTORY(src bin)

####################################################################
# Installing
#

SET(INSTALL_DOCS ${RELEASE_FILE} AUTHORS README ChangeLog COPYING USER-GUIDE)
STRING_JOIN(PRJ_DOC_LIST " " ${INSTALL_DOCS})

INSTALL(FILES ${INSTALL_DOCS}
    DESTINATION "${PRJ_DOC_DIR}")

INSTALL(DIRECTORY icons
    DESTINATION  ${PRJ_DATA_DIR})

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/data/chewing.xml
    DESTINATION "${DATA_DIR}/ibus/component")

# Schemas
SET(GCONF_SCHEMAS_FILE ${CMAKE_BINARY_DIR}/data/${PROJECT_NAME}.schemas)
INCLUDE(UseGConf)

####################################################################
# Packing
#
SET(MAINTAINER_SETTING "MAINTAINER_SETTING_NO_PACK")
INCLUDE(PackSource)
INCLUDE(PackRPM)
INCLUDE(UseFedpkg)

SET(PRJ_IGNORE_FILES_COMMON
    "/doc/"  "\\\\.spec$" "messages.po$" "\\\\.orig$"
    )

# GOB_GENERATED source codes are now excluded,
# As Bug 519108 (https://bugzilla.redhat.com/show_bug.cgi?id=519108)
# Is fixed from Fedora 11

SET(PRJ_IGNORE_FILES_COMMON
    ${PRJ_IGNORE_FILES_COMMON}  "src/maker-dialog.*\\\\.[ch]"
    "src/ibus-chewing-engine.*\\\\.[ch]"
    )

SET(PACK_SOURCE_IGNORE_FILES ${PACK_SOURCE_IGNORE_FILES}
    ${PRJ_IGNORE_FILES_COMMON} "/bin/" "\\\\.xml$" "\\\\.schemas")

PACK_SOURCE(PACK_SOURCE_FILE_NAME "${RPM_BUILD_SOURCES}")
PACK_RPM(PRJ_SRPM_FILE_NAME "${RPM_BUILD_SPECS}/project.spec.in" "${PACK_SOURCE_FILE_NAME}")

# If mock exists, then add mock related targets.
FIND_PROGRAM(MOCK_CMD mock)
IF(NOT MOCK_CMD STREQUAL "MOCK_CMD-NOTFOUND")
    USE_MOCK("${RPM_BUILD_SPECS}/project.spec.in")
ENDIF(NOT MOCK_CMD STREQUAL "MOCK_CMD-NOTFOUND")

IF(EXISTS ${MAINTAINER_SETTING})
    USE_FEDPKG("${RPM_BUILD_SRPMS}/${PRJ_SRPM_FILE_NAME}" )
    USE_BODHI()
ENDIF(EXISTS ${MAINTAINER_SETTING})

ADD_DEPENDENCIES(pack_src pot_file)

####################################################################
# Hosting
#
INCLUDE(UseHostingService)
USE_HOSTING_SERVICE_READ_SETTING_FILE("${MAINTAINER_SETTING}"
    "${RPM_BUILD_SOURCES}/${PACK_SOURCE_FILE_NAME}")


####################################################################
# Test Suites.
#
ENABLE_TESTING()

=== po/CMakeLists.txt ===
# Translated languages.
SET(SOURCES_I18N ../src/IBusChewingEngine.gob ../src/IBusChewingEngine-def.c ../src/main.c)

GETTEXT_CREATE_POT(${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pot OPTIONS ${XGETTEXT_OPTIONS_C} SRC ${SOURCES_I18N})
GETTEXT_CREATE_TRANSLATIONS(${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}.pot ALL ${TRANSLATED}
    COMMENT "Creating translations.")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 )
 
 ADD_CUSTOM_TARGET(gob2
-    DEPENDS ${GOB_GENERATED}
+    DEPENDS ${GOB_GENERATED} ${CMAKE_CURRENT_SOURCE_DIR}/IBusChewingEngine-input-events.c
     COMMENT "Preprocess with gob2."
 )
 
@@ -37,6 +37,7 @@
 ADD_EXECUTABLE(ibus-engine-chewing main.c
     ibus-chewing-engine.c
     maker-dialog.c
+
     )
 ADD_EXECUTABLE(generate-gconf-schemas
     generate-gconf-schemas.c

=== debian/changelog ===
ibus-chewing (1.3.9.2-3ubuntu1.1) oneiric-proposed; urgency=low

  * debian/patches/IBusChewingEngine-def-fix-SIGSEGV-on-preference-save.patch:
    Fix misuse of g_value_get_gtype in g_value_to_g_variant. (LP: #874028)

 -- Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>  Mon, 17 Oct 2011 14:06:19 +0300

ibus-chewing (1.3.9.2-3ubuntu1) oneiric; urgency=low

  * debian/patches/escape-to-close-candidate-window-on-plain-
     zhuyin.patch: Fix plain zhuyin with space as selection problem.
     (https://github.com/definite/ibus-chewing/pull/8/) (LP: #843619)

 -- Shih-Yuan Lee (FourDollars) <fourdollars@gmail.com>  Wed, 07 Sep 2011 10:38:32 +0200

ibus-chewing (1.3.9.2-3) unstable; urgency=low

  * Fix "ibus-chewing has annoying pop-up when enabling IME, causing
    focus to change" (Closes: #630331)

 -- Asias He <asias.hejun@gmail.com>  Tue, 06 Sep 2011 16:25:52 +0800

ibus-chewing (1.3.9.2-2) unstable; urgency=low

  * Fix "Cannot close candidate window with escape key since selected
    tone" (Closes: #619604)
  * Set Vcs to git.debian.org
  * Set DM-Upload-Allowed to yes

 -- Asias He <asias.hejun@gmail.com>  Mon, 28 Mar 2011 14:14:16 +0800

ibus-chewing (1.3.9.2-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.
  * debian/rules: delete /usr/share/doc/ibus-chewing-*/COPYING.gz

  [ LI Daobing ]
  * debian/rules: fix doc install place
  * debian/control: build depends on debhelper >= 7.0.50~ 
  * debian/docs: updated 
  * debian/clean: updated

 -- LI Daobing <lidaobing@debian.org>  Sun, 05 Dec 2010 16:25:41 +0800

ibus-chewing (1.3.7.20100910-1) unstable; urgency=low

  [ Asias He ]
  * New upstream release.
  * debian/watch: use googlecode.debian.net

  [ LI Daobing ]
  * debian/rules: fix install path of gconf.
  * debian/clean: updated. 
  * debian/control: build depends on rpm. 

 -- LI Daobing <lidaobing@debian.org>  Mon, 13 Sep 2010 23:05:30 +0800

=== debian/control ===
Source: ibus-chewing
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: LI Daobing <lidaobing@debian.org>, Asias He <asias.hejun@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), 
 cmake,
 gob2 (>= 2.0.17),
 pkg-config, 
 libchewing3-dev (>= 0.3.2-2~), 
 libgconf2-dev,
 libibus-1.0-dev (>= 1.3.99.20110419),
 libgtk2.0-dev,
 libx11-dev,
 libxtst-dev,
 rpm,
 quilt (>= 0.46-7~)
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/ibus
Vcs-Git: git://git.debian.org/pkg-ime/ibus-chewing.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/ibus-chewing.git

Package: ibus-chewing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus (>= 1.3.99.20110419), 
Description: Chewing engine for IBus
 IBus is an Intelligent Input Bus. It is a new input framework for Linux
 OS. It provides full featured and user friendly input method user interface.
 It also may help developers to develop input method easily.
 .
 IBus-chewing is a IBus based IM Engine for Traditional Chinese

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	cmake -DCMAKE_INSTALL_PREFIX="/usr" \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DCMAKE_SKIP_RPATH=ON \
		-DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed" \
		-DLIBEXEC_DIR=/usr/lib/ibus-chewing \
		-DSYSCONF_INSTALL_DIR=/usr/share \

override_dh_auto_install:
	dh_auto_install
	rm -f debian/ibus-chewing/usr/share/doc/ibus-chewing-*/ChangeLog
	rm -f debian/ibus-chewing/usr/share/doc/ibus-chewing-*/COPYING

=== debian/watch ===
version=3
http://googlecode.debian.net/p/ibus/ibus-chewing-([\d.]+)-Source\.tar\.gz

## ibus-chewing 1.3.10+clean

=== debian/changelog ===
ibus-chewing (1.3.10+clean-3build1) quantal; urgency=low

  * No change rebuild with the current ibus version (lp: #1028746)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Oct 2012 23:32:24 +0200

ibus-chewing (1.3.10+clean-3) unstable; urgency=low

  [ YunQiang Su ]
  * fix quote_me of LIBCHEWING_DATA_DIR.
  * back and restore po files.
  * don't remove Modules when auto_clean.
  * Rebuild to work with multiarched libchewing (Closese: #668540).

  [ Asias He ]
  * Bump Standards-Version to 3.9.3

 -- Asias He <asias.hejun@gmail.com>  Sat, 14 Apr 2012 16:19:51 +0800

ibus-chewing (1.3.10+clean-2) unstable; urgency=low

  * Fixed annoying pop-up when enabling IME, causing focus to change.
    Thanks Ruei-Yuan. Closes: #660863
  * Fixed FTBFS to sync with ibus 1.4.1.  Thanks Daisuke.
    Closes: #661618

 -- Osamu Aoki <osamu@debian.org>  Sun, 04 Mar 2012 00:49:22 +0900

ibus-chewing (1.3.10+clean-1) unstable; urgency=low

  * New upstream release. 
  * All Debian patcheds dropped.
  * Add Osamu as uploaders.
  * Repackaged upstream tar with normal tar and removing .swo

 -- Osamu Aoki <osamu@debian.org>  Mon, 26 Dec 2011 00:17:58 +0900

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: ibus-chewing
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
-Uploaders: LI Daobing <lidaobing@debian.org>, Asias He <asias.hejun@gmail.com>
+Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
+Uploaders: LI Daobing <lidaobing@debian.org>, 
+ Asias He <asias.hejun@gmail.com>,
+ Osamu Aoki <osamu@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.50~), 
  cmake,
@@ -14,10 +15,8 @@
  libibus-1.0-dev (>= 1.3.99.20110419),
  libgtk2.0-dev,
  libx11-dev,
- libxtst-dev,
- rpm,
- quilt (>= 0.46-7~)
-Standards-Version: 3.9.2
+ libxtst-dev
+Standards-Version: 3.9.3
 Homepage: http://code.google.com/p/ibus
 Vcs-Git: git://git.debian.org/pkg-ime/ibus-chewing.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ime/ibus-chewing.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf CMakeFiles NO_PACK Testing bin po/CMakeFiles
	cp debian/po-bak/* po/

override_dh_auto_configure:
	cmake -DCMAKE_INSTALL_PREFIX="/usr" \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DCMAKE_SKIP_RPATH=ON \
		-DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed" \
		-DLIBEXEC_DIR=/usr/lib/ibus-chewing \
		-DSYSCONF_INSTALL_DIR=/usr/share \

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/ibus-chewing/usr/share/doc/ibus-chewing-*

## ibus-chewing 1.4.3

=== debian/changelog ===
ibus-chewing (1.4.3-3) unstable; urgency=low

  * CMAKE should be OK without FC19 patch.
  * Removed upstream-fixed unused patches.
  * Fix debian/rules for the hardened build, correctly. 

 -- Osamu Aoki <osamu@debian.org>  Sat, 07 Sep 2013 10:33:50 +0900

ibus-chewing (1.4.3-2) experimental; urgency=low

  * Team upload.
  * cflags.patch from FC19.
  * Fix debian/rules for the hardened build.
  * Adjust libexecdir in line with other ibus packages.
  * Build with ibus 1.5.3-4. 

 -- Osamu Aoki <osamu@debian.org>  Tue, 03 Sep 2013 00:08:40 +0900

ibus-chewing (1.4.3-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sun, 10 Feb 2013 16:20:40 +0800

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
 %:
 	dh $@
 
@@ -11,8 +14,7 @@
 	cmake -DCMAKE_INSTALL_PREFIX="/usr" \
 		-DCMAKE_VERBOSE_MAKEFILE=ON \
 		-DCMAKE_SKIP_RPATH=ON \
-		-DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed" \
-		-DLIBEXEC_DIR=/usr/lib/ibus-chewing \
+		-DLIBEXEC_DIR=/usr/lib/ibus \
 		-DSYSCONF_INSTALL_DIR=/usr/share \
 
 override_dh_auto_install:
